Loading...
Searching...
No Matches
CxxTest::TestDescription Class Referenceabstract

`#include <Descriptions.h>`

## Public Member Functions

virtual | ~TestDescription ()
virtual const char * | file () const =0
virtual unsigned | line () const =0
virtual const char * | testName () const =0
virtual const char * | suiteName () const =0
virtual void | run ()=0
virtual const TestDescription * | next () const =0
virtual TestDescription * | next ()=0
Public Member Functions inherited from CxxTest::Link
| Link ()
virtual | ~Link ()
bool | active () const
void | setActive (bool value=true)
Link * | justNext ()
Link * | justPrev ()
Link * | next ()
Link * | prev ()
const Link * | next () const
const Link * | prev () const
virtual bool | setUp ()=0
virtual bool | tearDown ()=0
void | attach (List &l)
void | detach (List &l)

## Detailed Description

Definition at line 15 of file Descriptions.h.

## Constructor & Destructor Documentation

## ~TestDescription()

CxxTest::TestDescription::~TestDescription | ( |  | ) |

virtual

Definition at line 8 of file Descriptions.cpp.

{}

## Member Function Documentation

## file()

virtual const char * CxxTest::TestDescription::file | ( |  | ) | const

pure virtual

Implemented in CxxTest::DummyTestDescription, and CxxTest::RealTestDescription.

## line()

virtual unsigned CxxTest::TestDescription::line | ( |  | ) | const

pure virtual

Implemented in CxxTest::DummyTestDescription, and CxxTest::RealTestDescription.

## next() [1/2]

virtual const TestDescription * CxxTest::TestDescription::next | ( |  | ) | const

pure virtual

Implemented in CxxTest::DummyTestDescription, and CxxTest::RealTestDescription.

## next() [2/2]

virtual TestDescription * CxxTest::TestDescription::next | ( |  | ) |

pure virtual

Implemented in CxxTest::DummyTestDescription, and CxxTest::RealTestDescription.

## run()

virtual void CxxTest::TestDescription::run | ( |  | ) |

pure virtual

Implemented in CxxTest::DummyTestDescription, and CxxTest::RealTestDescription.

## suiteName()

virtual const char * CxxTest::TestDescription::suiteName | ( |  | ) | const

pure virtual

Implemented in CxxTest::DummyTestDescription, and CxxTest::RealTestDescription.

## testName()

virtual const char * CxxTest::TestDescription::testName | ( |  | ) | const

pure virtual

Implemented in CxxTest::DummyTestDescription, and CxxTest::RealTestDescription.

The documentation for this class was generated from the following files:

- libpolys/tests/cxxtest/Descriptions.h
- libpolys/tests/cxxtest/Descriptions.cpp